```
def calculate_T_from_data(R_values, B_values, zero_field_fit, kappa_matrix, gamma_matrix):
    '''calculate T from (R,B) data arrays using Chebyshev fit to resistive thermometer'''
    
    # initialize T array
    T_values = np.zeros(R_values.size)
    
    # calculate T from R, B
    for index, temperature in enumerate(T_values):
        temperature = RandBtoT(R_values[index],
        zero_field_fit, B_values[index], 
        kappa_matrix, gamma_matrix)
        
        T_values[index] = temperature

    return T_values
```